API ReferenceUnified modelsUnified products

Get paginated list of unified products

GET
/unified/products

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?number
Default1
limit?number
Default10
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://dev-backend.thelinks.ai/api/v1/unified/products"
{
  "data": [
    {
      "id": "prod_12345",
      "source_system": "shopify",
      "source_system_img_url": "https://cdn.example.com/shopify.png",
      "source_id": "sf_98765",
      "external_system_provider_id": "provider_001",
      "external_system_config_id": "config_abc",
      "external_system_data": {
        "custom_field": "value"
      },
      "supporting_data_definition_id": "support_001",
      "name": "Premium Rice",
      "description": "High quality rice from Sumatra.",
      "type": "food",
      "price": "12000.00",
      "is_primary": true,
      "local_was_deleted": false,
      "local_was_updated": true,
      "source_data_created_at": "2024-01-01T12:00:00Z",
      "is_active": true
    }
  ],
  "page": 1,
  "limit": 10,
  "totalPages": 5,
  "totalResults": 50
}